Subject: Re: Did Ryan White pay for Eileen Hansen's trip to Durban?
From: [email-masked]
Date: Thu, 17 Aug 2000 13:08:18 EDT

In a message dated 8/17/00 10:00:54 AM Pacific Daylight Time, 
[email-masked] writes:

<< 
    I will say, however, that I do respect Ms. Hansen's integrity in
 resigning while under investigation. Its an example that most politicians
 could learn from.
 
    Thanks again,
 
    Roland
  >>

Dear friends:
For those of you who don't know Roland Foster, he is an aide to Rep. Tom 
Coburn, R-OK. 

Michael Petrelis
 <A HREF="http://www.aids-statistics.com/">Welcome to AIDS-STATISTICS</A>
www.AIDS-statistics.com 
2215-R Market Street, #413
San Francisco, CA 94114